Last Comment Bug 695138 - Fix inout memory leak in XPConnect tests
: Fix inout memory leak in XPConnect tests
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: XPConnect (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla10
Assigned To: Bobby Holley (:bholley) (busy with Stylo)
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-17 13:56 PDT by Bobby Holley (:bholley) (busy with Stylo)
Modified: 2011-10-28 04:33 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Fix inout memory leak in XPConnect tests. v1 (1.97 KB, patch)
2011-10-19 22:21 PDT, Bobby Holley (:bholley) (busy with Stylo)
khuey: review+
Details | Diff | Splinter Review

Description Bobby Holley (:bholley) (busy with Stylo) 2011-10-17 13:56:11 PDT
I was unclear as to the memory ownership model for inout parameters with dependent buffers, so I got it wrong in nsXPCTestParams::TestString and friends.

I talked to bsmedberg, and clarified the situation. I've updated the docs here to reflect them:
https://developer.mozilla.org/en/XPIDL

The test still needs fixing though.
Comment 1 Bobby Holley (:bholley) (busy with Stylo) 2011-10-19 22:21:23 PDT
Created attachment 568305 [details] [diff] [review]
Fix inout memory leak in XPConnect tests. v1

Attached a fix. Flagging khuey for review.


Review: khuey
Comment 2 Bobby Holley (:bholley) (busy with Stylo) 2011-10-24 13:22:53 PDT
Comment on attachment 568305 [details] [diff] [review]
Fix inout memory leak in XPConnect tests. v1

Oops, didn't actually flag. Flagging khuey.
Comment 3 Bobby Holley (:bholley) (busy with Stylo) 2011-10-27 12:46:14 PDT
Pushed to mozilla-inbound:
http://hg.mozilla.org/integration/mozilla-inbound/rev/a2d4d5fd846a
Comment 4 Ed Morley [:emorley] 2011-10-28 04:33:39 PDT
https://hg.mozilla.org/mozilla-central/rev/a2d4d5fd846a

Note You need to log in before you can comment on or make changes to this bug.